- Qt 5.5
- Qt3D Module
- C++ Classes
- QAbstractAspect
- Qt 5.5.1 Reference Documentation

# QAbstractAspect Class

(Qt3D::QAbstractAspect)

QAbstractAspect is the base class for aspects that provide a vertical slice of behavior. More...

Header: | #include <QAbstractAspect>
qmake: | QT += 3dcore
Inherits: | QAspectJobProviderInterface, QSceneObserverInterface, QBackendNodeFactory, and
Inherited By: | Qt3D::QInputAspect

- List of all members, including inherited members

## Public Types

enum | AspectType { AspectRenderer, AspectAnimation, AspectCollision, AspectPhysics, ..., AspectOther }

## Public Functions

| QAbstractAspect(AspectType aspectType, QObject * parent = 0)
AspectType | aspectType() const
bool | isShuttingDown() const
QAbstractAspectJobManager * | jobManager() const
void | registerAspect(QEntity * rootObject)
QServiceLocator * | services() const

- 1 public function inherited from Qt3D::QAspectJobProviderInterface
- 2 public functions inherited from Qt3D::QSceneObserverInterface
- 1 public function inherited from Qt3D::QBackendNodeFactory

## Protected Functions

void | clearBackendNode(QNode * frontend) const
QBackendNode * | getBackendNode(QNode * frontend) const
void | registerBackendType(const QBackendNodeFunctorPtr & functor)
void | registerBackendType(const QMetaObject &, const QBackendNodeFunctorPtr & functor)

## Reimplemented Protected Functions

virtual QBackendNode * | createBackendNode(QNode * frontend) const

## Detailed Description

QAbstractAspect is the base class for aspects that provide a vertical slice of behavior.

## Member Type Documentation

### enum QAbstractAspect::AspectType

## Member Function Documentation

### QAbstractAspect::QAbstractAspect(AspectType aspectType, QObject * parent = 0)

### AspectType QAbstractAspect::aspectType() const

### `[protected]` void QAbstractAspect::clearBackendNode(QNode * frontend) const

### `[virtual protected]` QBackendNode * QAbstractAspect::createBackendNode(QNode * frontend) const

### `[protected]` QBackendNode * QAbstractAspect::getBackendNode(QNode * frontend) const

### bool QAbstractAspect::isShuttingDown() const

### QAbstractAspectJobManager * QAbstractAspect::jobManager() const

### void QAbstractAspect::registerAspect(QEntity * rootObject)

### `[protected]` void QAbstractAspect::registerBackendType(const QBackendNodeFunctorPtr & functor)

### `[protected]` void QAbstractAspect::registerBackendType(const QMetaObject &, const QBackendNodeFunctorPtr & functor)

### QServiceLocator * QAbstractAspect::services() const